### 23.5.18 ndb\_print\_file — Print NDB Disk Data File Contents

[]()

[**ndb\_print\_file**](mysql-cluster-programs-ndb-print-file.html) obtains information from an NDB Cluster Disk Data file.

#### Usage

```
ndb_print_file [-v] [-q] file_name+
```

*`file_name`* is the name of an NDB Cluster Disk Data file. Multiple filenames are accepted, separated by spaces.

 Like [**ndb\_print\_schema\_file**](mysql-cluster-programs-ndb-print-schema-file.html) and [**ndb\_print\_sys\_file**](mysql-cluster-programs-ndb-print-sys-file.html) (and unlike most of the other [`NDB`](mysql-cluster.html) utilities that are intended to be run on a management server host or to connect to a management server) [**ndb\_print\_file**](mysql-cluster-programs-ndb-print-file.html) must be run on an NDB Cluster data node, since it accesses the data node file system directly. Because it does not make use of the management server, this utility can be used when the management server is not running, and even when the cluster has been completely shut down.

#### Additional Options

[**ndb\_print\_file**](mysql-cluster-programs-ndb-print-file.html) supports the following options:

* `-v`: Make output verbose.

* `-q`: Suppress output (quiet mode).

* `--help`, `-h`, `-?`: Print help message.

 For more information, see [Section 23.6.10, “NDB Cluster Disk Data Tables”](mysql-cluster-disk-data.html).

